"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/dialogs/virtualdeviceonboarding.js
var virtualdeviceonboarding_exports = {};
__export(virtualdeviceonboarding_exports, {
  VirtualDeviceOnboarding: () => VirtualDeviceOnboarding,
  default: () => virtualdeviceonboarding_default,
  getDemoDeviceCreationCommand: () => getDemoDeviceCreationCommand
});
module.exports = __toCommonJS(virtualdeviceonboarding_exports);
var import_react3 = __toESM(require("react"), 1);
var import_react_redux2 = require("react-redux");
var import_selectors2 = require("@northern.tech/store/selectors");
var import_thunks = require("@northern.tech/store/thunks");

// src/copy-code.js
var import_react = __toESM(require("react"), 1);
var import_react_copy_to_clipboard = __toESM(require("react-copy-to-clipboard"), 1);
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_mui = require("tss-react/mui");
var import_constants = require("@northern.tech/store/constants");
var import_jsx_runtime = require("react/jsx-runtime");
var buttonStyle = { float: "right", margin: "-20px 0 0 10px" };
var useStyles = (0, import_mui.makeStyles)()((theme) => ({
  code: {
    border: "1px solid",
    borderColor: theme.palette.background.lightgrey,
    backgroundColor: theme.palette.background.lightgrey
  }
}));
var Code = ({ className = "", children, style = {} }) => {
  const { classes } = useStyles();
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { className: `code ${classes.code} ${className}`, style, children });
};
var CopyCode = ({ code, onCopy, withDescription }) => {
  const [copied, setCopied] = (0, import_react.useState)(false);
  const onCopied = (_text, result) => {
    setCopied(result);
    setTimeout(() => setCopied(false), import_constants.TIMEOUTS.fiveSeconds);
    if (onCopy) {
      onCopy();
    }
  };
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_jsx_runtime.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(Code, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react_copy_to_clipboard.default, { text: code, onCopy: onCopied, children: withDescription ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { style: buttonStyle, startIcon: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.FileCopy, {}), children: "Copy to clipboard" }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.IconButton, { style: buttonStyle, size: "large", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.FileCopy, {}) }) }),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { style: { whiteSpace: "pre-wrap", wordBreak: "break-word" }, children: code })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)("p", { children: copied && /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { className: "green fadeIn", children: "Copied to clipboard." }) })
  ] });
};
var copy_code_default = CopyCode;

// src/docslink.js
var import_react2 = __toESM(require("react"), 1);
var import_react_redux = require("react-redux");
var import_icons_material2 = require("@mui/icons-material");
var import_material2 = require("@mui/material");
var import_mui2 = require("tss-react/mui");
var import_constants2 = require("@northern.tech/store/constants");
var import_selectors = require("@northern.tech/store/selectors");
var import_debouncehook = require("@northern.tech/utils/debouncehook");
var import_jsx_runtime2 = require("react/jsx-runtime");
var useStyles2 = (0, import_mui2.makeStyles)()((theme) => ({
  iconAura: {
    position: "absolute",
    top: -6,
    bottom: -4,
    left: -7,
    right: -6.5,
    border: `1px dashed ${theme.palette.text.disabled}`,
    borderRadius: "50%",
    "&.hovering": {
      borderColor: "transparent"
    }
  },
  chip: {
    borderStyle: "dashed",
    [`.${import_material2.chipClasses.deleteIcon}`]: {
      fontSize: "smaller"
    },
    "&.not-hovering": {
      borderColor: "transparent",
      color: theme.palette.text.disabled,
      [`.${import_material2.chipClasses.deleteIcon}`]: {
        color: theme.palette.text.disabled
      },
      [`.${import_material2.chipClasses.label}`]: {
        paddingLeft: 0,
        visibility: "collapse"
      }
    }
  }
}));
var DocsLink = (0, import_react2.forwardRef)(({ children, className = "", path, title = "", ...remainder }, ref) => {
  const docsVersion = (0, import_react_redux.useSelector)(import_selectors.getDocsVersion);
  const { isHosted } = (0, import_react_redux.useSelector)(import_selectors.getFeatures);
  const target = `https://docs.mender.io/${docsVersion}${path}`;
  const onClickHandler = () => {
    const docsParams = { headers: { "x-mender-docs": docsVersion } };
    fetch(target, isHosted ? {} : docsParams);
  };
  return (
    // eslint-disable-next-line react/jsx-no-target-blank
    /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("a", { className, ...remainder, href: target, onClick: onClickHandler, ref, target: "_blank", rel: isHosted ? "noopener" : "", children: children ? children : title })
  );
});
DocsLink.displayName = "DocsLink";
var docslink_default = DocsLink;

// src/dialogs/virtualdeviceonboarding.js
var import_jsx_runtime3 = require("react/jsx-runtime");
var getDemoDeviceCreationCommand = (tenantToken, demoArtifactPort) => tenantToken ? `TENANT_TOKEN='${tenantToken}'
docker run -it -p ${demoArtifactPort}:${demoArtifactPort} -e SERVER_URL='https://${window.location.hostname}' \\
-e TENANT_TOKEN=$TENANT_TOKEN --pull=always mendersoftware/mender-client-qemu` : "./demo --client up";
var VirtualDeviceOnboarding = () => {
  const dispatch = (0, import_react_redux2.useDispatch)();
  const { isHosted } = (0, import_react_redux2.useSelector)(import_selectors2.getFeatures);
  const { tenant_token: tenantToken } = (0, import_react_redux2.useSelector)(import_selectors2.getOrganization);
  const demoArtifactPort = (0, import_react_redux2.useSelector)((state) => state.onboarding.demoArtifactPort);
  (0, import_react3.useEffect)(() => {
    dispatch((0, import_thunks.setOnboardingApproach)("virtual"));
  }, [dispatch]);
  const codeToCopy = getDemoDeviceCreationCommand(tenantToken, demoArtifactPort);
  return /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("div", { children: [
    isHosted ? /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("div", { children: [
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("b", { children: "1. Get Docker Engine" }),
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("p", { children: "If you do not have it already, please install Docker on your local machine." }),
      /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("p", { children: [
        "For example if you are using Ubuntu follow this tutorial:",
        " ",
        /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("a", { href: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/", target: "_blank", rel: "noopener noreferrer", children: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/" })
      ] })
    ] }) : /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("div", { children: [
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("b", { children: "1. Prerequisites" }),
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("p", { children: "As you are running Mender on-premise, for these instructions we assume that you already have Docker installed and the Mender integration environment up and running on your machine." }),
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("p", { children: "To start a virtual device, change directory into the folder where you cloned Mender integration." })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("p", { children: /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("b", { children: "2. Copy & paste and run the following command to start the virtual device:" }) }),
    /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(copy_code_default, { code: codeToCopy, withDescription: true }),
    /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("p", { children: "The device should appear in the Pending devices view in a couple of minutes." }),
    /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("p", { children: [
      "Visit ",
      /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(docslink_default, { path: "get-started/preparation/prepare-a-virtual-device", title: "our documentation" }),
      " for more information on managing the virtual device."
    ] })
  ] });
};
var virtualdeviceonboarding_default = VirtualDeviceOnboarding;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  VirtualDeviceOnboarding,
  getDemoDeviceCreationCommand
});
//# sourceMappingURL=virtualdeviceonboarding.cjs.map