// src/resizehook.js
import { useLayoutEffect, useRef, useState } from "react";
import { TIMEOUTS } from "@northern.tech/store/constants";
var useWindowSize = () => {
  const [size, setSize] = useState({ height: window.innerHeight, width: window.innerWidth });
  const timer = useRef();
  useLayoutEffect(() => {
    const handleResize = () => {
      timer.current = setTimeout(() => setSize({ height: window.innerHeight, width: window.innerWidth }), TIMEOUTS.halfASecond);
    };
    window.addEventListener("resize", handleResize);
    handleResize();
    return () => {
      clearTimeout(timer.current);
      window.removeEventListener("resize", handleResize);
    };
  }, []);
  return size;
};
var resizehook_default = useWindowSize;

export {
  useWindowSize,
  resizehook_default
};
//# sourceMappingURL=chunk-26G62RYS.js.map